import { BrowserConfig, Session } from './types.js';
export declare class SessionManager {
    private sessions;
    private readonly defaultConfig;
    constructor();
    createSession(config?: BrowserConfig): Promise<Session>;
    closeSession(sessionId: string): Promise<void>;
    private setupCleanup;
    /**
     * Sets up global cleanup handlers for all browser sessions
     */
    private setupGlobalCleanup;
    closeAllSessions(): Promise<void>;
    getSession(sessionId: string): Session;
}
//# sourceMappingURL=SessionManager.d.ts.map